image: node:latest

stages:
  - deploy

deploy:
  stage: deploy
  tags:
    - docker
  script:
    - npm config set -- '//${CI_SERVER_HOST}/api/v4/projects/${CI_PROJECT_ID}/packages/npm/:_authToken=${CI_JOB_TOKEN}'
    - npm config set registry 'https://${CI_SERVER_HOST}/api/v4/projects/${CI_PROJECT_ID}/packages/npm/'
    - npm publish
  environment: production
